// FileView2View.h : interface of the CFileView2View class
//
/////////////////////////////////////////////////////////////////////////////

class CFileView2View : public CView
{
protected: // create from serialization only
	CFileView2View();
	DECLARE_DYNCREATE(CFileView2View)

// Attributes
public:
	CFileView2Doc* GetDocument();

protected:
	CString	m_csFilePath;
	int		m_ChrX, m_ChrY, m_ChrV;
	int	   m_WndY, m_WndX;
	int		m_WndHeight, m_HDisplay;
	int		m_FilLines, m_WndWidth;
	int		m_vScrlMax;
	DWORD		m_dwFilSz;
	int		m_vScrlPos, m_hScrlPos;
	HANDLE	m_FixedFont;

// Operations
protected:
	void		OpenFile();
	void		PaintFile( CDC *pDC );
	CString	FormatLine( CString, int, char* LnOfs );
	void		SetScrollBar();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFileView2View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnScroll(UINT nScrollCode, UINT nPos, BOOL bDoScroll = TRUE);
	protected:
	virtual BOOL OnScrollBy(CSize sizeScroll, BOOL bDoScroll = TRUE);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFileView2View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFileView2View)
	afx_msg void OnFileOpen();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FileView2View.cpp
inline CFileView2Doc* CFileView2View::GetDocument()
   { return (CFileView2Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
