// NewPassword.cpp : implementation file
//

#include "stdafx.h"
#include "Reg_Ops.h"
#include "NewPassword.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewPassword dialog

CNewPassword::CNewPassword(CWnd* pParent /*=NULL*/)
	: CDialog(CNewPassword::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewPassword)
	m_csPassword1 = _T("");
	m_csPassword2 = _T("");
	//}}AFX_DATA_INIT
}

void CNewPassword::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewPassword)
	DDX_Text(pDX, IDC_EDIT1, m_csPassword1);
	DDX_Text(pDX, IDC_EDIT2, m_csPassword2);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CNewPassword, CDialog)
	//{{AFX_MSG_MAP(CNewPassword)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewPassword message handlers

void CNewPassword::OnOK() 
{
	UpdateData(TRUE);
	// TODO: Add extra validation here
	if( m_csPassword1.IsEmpty() ||
		m_csPassword1.GetLength() < 5 )
	{
		MessageBox( "Entry invalid!\r\nEntry must be five (5)\r\ncharacters or more" );
		return;
	}
	if(	m_csPassword1 != m_csPassword2 )
	{
		MessageBox( "Entry invalid!\r\nBoth entries must match" );
		return;
	}
	m_csReturn = theApp.Encrypt( m_csPassword1 );
	CDialog::OnOK();
}
/*
void CNewPassword::Encrypt()
{
	m_csReturn.Empty();
	for( int i=0; i<m_csPassword1.GetLength(); i++ )
		m_csReturn += (char)( ( (int)m_csPassword1[i] % ( i + 3 ) ) + 0x40 );
}
*/