// ExceptionsView.h : interface of the CExceptionsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXCEPTIONSVIEW_H__097E742C_295B_11D1_85FB_CF10381E612C__INCLUDED_)
#define AFX_EXCEPTIONSVIEW_H__097E742C_295B_11D1_85FB_CF10381E612C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CExceptionsView : public CView
{
protected: // create from serialization only
	CExceptionsView();
	DECLARE_DYNCREATE(CExceptionsView)

// Attributes
public:
	CExceptionsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExceptionsView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CExceptionsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	void ForceException();
	BOOL UserException();

// Generated message map functions
protected:
	//{{AFX_MSG(CExceptionsView)
	afx_msg void OnExceptionsNestedhandlers();
	afx_msg void OnExceptionsSimplehandler();
	afx_msg void OnExceptionsFailedcatch();
	afx_msg void OnExceptionsResourceexception();
	afx_msg void OnExceptionsUserexception();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ExceptionsView.cpp
inline CExceptionsDoc* CExceptionsView::GetDocument()
   { return (CExceptionsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXCEPTIONSVIEW_H__097E742C_295B_11D1_85FB_CF10381E612C__INCLUDED_)
