// NESTING_B
// shows how to combine an exception and a termination handler

#include <windows.h>
#include <stdio.h>
#include <conio.h>

int main()
{
    char *szText = NULL;

    __try
    {
        __try
        {
            puts("About to cause an exception." );
            lstrcpy( szText, "Error" );         // writes to NULL string
        }
        __finally
        {
            puts( "Termination handler ran." );
        }
    }
    __except (EXCEPTION_EXECUTE_HANDLER)
    {
        puts( "Handling exception." );	// this line does not execute
    }

    puts( "Program ending normally." );
	getch();
    return( 0 );
}
