typedef struct tagPCXHEAD
{
   char   manufacturer;       // always  0xA0
   char   version;            // version number
   char   encoding;           // should be 1
   char   bits_per_pixel;     // color depth
   short  xmin, ymin;         // image origin
   short  xmax, ymax;         // image dimensions
   short  hres, vres;         // image resolution
   char   palette[48];        // color palette
   char   reserved;
   char   color_planes;       // color planes
   short  bytes_per_line;     // line buffer size
   short  palette_type;       // grey or color palette   
   short  hscreensize;        // horizontal screen size
   short  vscreensize;        // vertical screen size
   char   filler[54];         // null filler
}  PCXHEAD;

