/*--------------------------------------------------------------------
        CHILD.H  [anonymous pipe version]

        Header file for the child process half of the PROCESS
        demo program.
  --------------------------------------------------------------------*/

/*--------------------------------------------------------------------
        CONSTANTS
  --------------------------------------------------------------------*/

#define MAX_BUFFER          64      // maximum string size

/*--------------------------------------------------------------------
        RESOURCE ID'S
  --------------------------------------------------------------------*/

#define DLG_ABOUT           100     // about box template
#define MENU_MAIN           200     // menu template
#define ICON_APP            100     // application icon

#define IDM_ABOUT           200     // menu command ids
#define IDM_EXIT            300
#define IDM_READ            400

#define IDS_APPNAME         100     // string ids
#define IDS_TITLE           200

/*--------------------------------------------------------------------
        FUNCTION PROTOTYPES
  --------------------------------------------------------------------*/

BOOL Init( void );
LRESULT WINAPI Child_WndProc( HWND hWnd , UINT uMessage, WPARAM wParam,
    LPARAM lParam );
BOOL Child_OnCreate( HWND hWnd, LPCREATESTRUCT lpCreateStruct );
void Child_OnPaint( HWND hWnd );
void Child_OnCommand( HWND hWnd, int iCmd, HWND hWndCtl, UINT uCode );
void Child_OnDestroy( HWND hWnd );
BOOL CreateMainWindow( void );
void DoRead( void );
LONG PipeThread( LPVOID lpThreadData );
BOOL WINAPI About_DlgProc( HWND hDlg, UINT uMessage, WPARAM wParam,
    LPARAM lParam );
void ShowErrorMsg( void );
