// Reg_OpsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Reg_Ops.h"
#include "Reg_OpsDlg.h"
#include "NewPassword.h"
#include "EnterPassword.h"
#include "Engineering.h"
#include "Guru.h"
#include "Management.h"
#include "Marketing.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CReg_OpsDlg dialog

CReg_OpsDlg::CReg_OpsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CReg_OpsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CReg_OpsDlg)
	m_csNameEntry = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
		// initialize keys as NULL
	m_hRegKey = NULL;
	m_bUpdate = FALSE;
	m_dwNameStatus = IDC_STATUS_1;
}

void CReg_OpsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CReg_OpsDlg)
	DDX_Control(pDX, IDC_NAMES_LIST, m_cbNamesList);
	DDX_CBString(pDX, IDC_NAMES_LIST, m_csNameEntry);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CReg_OpsDlg, CDialog)
	//{{AFX_MSG_MAP(CReg_OpsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_STATUS_2, OnStatus2)
	ON_BN_CLICKED(IDC_STATUS_3, OnStatus3)
	ON_BN_CLICKED(IDC_STATUS_4, OnStatus4)
	ON_BN_CLICKED(IDC_STATUS_5, OnStatus5)
	ON_BN_CLICKED(IDD_EXIT, OnExit)
	ON_CBN_EDITCHANGE(IDC_NAMES_LIST, OnEditchangeNamesList)
	ON_BN_CLICKED(IDD_ADD_ENTRY, OnAddEntry)
	ON_CBN_CLOSEUP(IDC_NAMES_LIST, OnCloseupNamesList)
	ON_BN_CLICKED(IDC_STATUS_1, OnStatus1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CReg_OpsDlg message handlers

BOOL CReg_OpsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
		// begin by opening keys to our registry entries
	RegCreateKey( HKEY_LOCAL_MACHINE, "SOFTWARE\\Registry Demo", &m_hRegKey );
	ResetButtons();
		// then initialize the combo list box
	InitializeListBox();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CReg_OpsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CReg_OpsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CReg_OpsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

//=== NEW PROCEDURES (Not supplied by AppWizard ===

BOOL CReg_OpsDlg::InitializeListBox()
{
	DWORD	dwName, dwSubkeys, dwIndex = 0;
	long	lResult;
	TCHAR	szBuff[MAX_PATH+1];
	CString	csBuff;

	EnableButtons( FALSE );
/*
LONG RegQueryInfoKey 
(	HKEY	hKey,					// handle of key to query 
	LPTSTR	lpClass,				// class string 
	LPDWORD lpcbClass,				// size of class string buffer 
	LPDWORD lpReserved,				// reserved 
	LPDWORD lpcSubKeys,				// number of subkeys 
	LPDWORD lpcbMaxSubKeyLen,		// longest subkey name length 
	LPDWORD lpcbMaxClassLen,		// longest class string length 
	LPDWORD lpcValues,				// number of value entries 
	LPDWORD lpcbMaxValueNameLen,	// longest value name length 
	LPDWORD lpcbMaxValueLen,		// longest value data length 
	LPDWORD lpcbSecurityDescriptor,	// security descriptor length 
	PFILETIME lpftLastWriteTime		// last write time 
); 
*/

	lResult = RegQueryInfoKey( m_hRegKey, NULL, NULL, NULL, &dwSubkeys,
							   NULL, NULL, NULL, NULL, NULL, NULL, NULL );
	if( lResult == ERROR_SUCCESS )
		dwIndex = dwSubkeys;
	else ReportError( lResult );

/*	
	LONG RegEnumKey( HKEY   hKey,		// handle of key to query 
	 				 DWORD  dwIndex,	// index of subkey to query 
					 LPTSTR lpName,		// address of buffer for subkey name 
					 DWORD  cbName  );	// size of subkey buffer 
*/ 
	dwName = sizeof( szBuff );
	do
	{
		lResult = RegEnumKey( m_hRegKey, --dwIndex, (LPTSTR)szBuff, dwName );
		if( lResult != ERROR_SUCCESS &&	lResult != ERROR_NO_MORE_ITEMS )
			ReportError( lResult );
		else
		if( lResult == ERROR_SUCCESS )
		{
			HKEY	hKeyItem;
			ULONG	ulSize, ulType;
			int		nIndex;

			m_csNameEntry = szBuff;
			RegCreateKey( m_hRegKey, szBuff, &hKeyItem );
			ulSize = sizeof( m_dwNameStatus );
			lResult = RegQueryValueEx( hKeyItem, "Status", NULL, &ulType, 
									   (LPBYTE) &m_dwNameStatus, &ulSize );
			if( lResult != ERROR_SUCCESS ) ReportError( lResult );

			nIndex = m_cbNamesList.AddString( m_csNameEntry );
			m_cbNamesList.SetItemData( nIndex, m_dwNameStatus );
		}
	}
	while( lResult != ERROR_NO_MORE_ITEMS );
	return TRUE;
}

void CReg_OpsDlg::OnEditchangeNamesList() 
{
	UpdateData( TRUE );
	GetDlgItem( IDD_ADD_ENTRY )->SetWindowText( "Add Entry" );
	if( m_csNameEntry.IsEmpty() )
	{
		GetDlgItem( IDD_ADD_ENTRY )->EnableWindow( FALSE );
		EnableButtons( FALSE );	//	ResetButtons();
	}
	else
	{
		GetDlgItem( IDD_ADD_ENTRY )->EnableWindow( TRUE );
		EnableButtons( TRUE );
	}
}

void CReg_OpsDlg::OnCloseupNamesList() 
{
	int nIndex;

	UpdateData( TRUE );
	nIndex = m_cbNamesList.GetCurSel();
	m_dwNameStatus = m_cbNamesList.GetItemData( nIndex );
	m_cbNamesList.GetLBText( nIndex, m_csNameEntry );
	UpdateData( FALSE );
	if( ConfirmPassword() )
		EnableButtons( TRUE );
	else
	{
		m_dwNameStatus = 0;
		m_csNameEntry.Empty();
		m_cbNamesList.SetCurSel(-1);
		UpdateData( FALSE );
		EnableButtons( FALSE );
		MessageBox( "Password not confirmed" );
	}
	ResetButtons();
}

void CReg_OpsDlg::OnAddEntry() 
{
	int		nIndex;
	CString csAction;

	UpdateData(TRUE);
	GetButtonStatus();
	if( m_bUpdate )
		GetDlgItem( IDD_ADD_ENTRY )->SetWindowText( "Add Entry" );
	else
		if( ! GetPassword() )
			return;

	GetDlgItem( IDD_ADD_ENTRY )->EnableWindow( FALSE );
	if( ! m_bUpdate )	// don't duplicate entries in list
		nIndex = m_cbNamesList.AddString( m_csNameEntry );
	else				// but do update the status
		nIndex = m_cbNamesList.GetCurSel();
	m_cbNamesList.SetItemData( nIndex, m_dwNameStatus );
	AddToRegistry();
	m_bUpdate = FALSE;
}

BOOL CReg_OpsDlg::AddToRegistry()
{
	HKEY	hKeyNew;

	RegCreateKey( m_hRegKey, m_csNameEntry, &hKeyNew );	
	RegSetValueEx( hKeyNew, "Password", NULL, REG_SZ,
				   (LPBYTE)(LPCTSTR)m_csPassword, m_csPassword.GetLength()+1 );
	RegSetValueEx( hKeyNew, "Status", NULL, REG_DWORD,
				   (LPBYTE)&m_dwNameStatus, sizeof( m_dwNameStatus) );
	return TRUE;
}

BOOL CReg_OpsDlg::GetPassword()
{
	CNewPassword *pDlg = new CNewPassword();

	m_csPassword.Empty();
	if( pDlg->DoModal() )
	{
		m_csPassword = pDlg->m_csReturn;
		return TRUE;
	}
	else
		return FALSE;
}

BOOL CReg_OpsDlg::ConfirmPassword()
{
	HKEY	hKeyItem;
	ULONG	ulSize, ulType;
	long	lResult;
	TCHAR	szBuff[MAX_PATH+1];
	CString	csBuff, csPassword;

	RegCreateKey( m_hRegKey, m_csNameEntry, &hKeyItem );
	ulSize = sizeof( szBuff );
	lResult = RegQueryValueEx( hKeyItem, "Password", NULL, &ulType, 
							   (LPBYTE) szBuff, &ulSize );
	if( lResult != ERROR_SUCCESS )
	{
		ReportError( lResult );
		return FALSE;
	}

	CEnterPassword *pDlg = new CEnterPassword();
	if( pDlg->DoModal() == IDOK )
		csPassword = theApp.Encrypt( pDlg->m_csPassword );
	else
		return FALSE;
	return( csPassword == szBuff );
}

void CReg_OpsDlg::ResetButtons()
{
	CheckRadioButton( IDC_STATUS_1, IDC_STATUS_5, m_dwNameStatus );
}

void CReg_OpsDlg::EnableButtons( BOOL bEnable )
{
	if( ! bEnable ) 
	{
		m_dwNameStatus = 0;
		ResetButtons();
	}
	for( int i=IDC_STATUS_1; i<=IDC_STATUS_5; i++ )
		GetDlgItem(i)->EnableWindow( bEnable );
}

void CReg_OpsDlg::GetButtonStatus()
{
	m_dwNameStatus = GetCheckedRadioButton( IDC_STATUS_1, IDC_STATUS_5 );
}

void CReg_OpsDlg::OnStatus1() 
{
	if( m_dwNameStatus == IDC_STATUS_1 ) return;
	if( m_dwNameStatus != 0 ) PermitUpdate();
	m_dwNameStatus = IDC_STATUS_1;
	ResetButtons();
}

void CReg_OpsDlg::OnStatus2() 
{
	if( m_dwNameStatus == IDC_STATUS_2 ) return;
	int nNewStatus;

	CManagement * pDlg = new CManagement();
	if( pDlg->DoModal() == IDOK )
		nNewStatus = IDC_STATUS_2;
	else
		nNewStatus = IDC_STATUS_1;
	if( m_dwNameStatus != 0 ) PermitUpdate();
	m_dwNameStatus = nNewStatus;
	ResetButtons();
}

void CReg_OpsDlg::OnStatus3() 
{
	if( m_dwNameStatus == IDC_STATUS_3 ) return;
	int nNewStatus;

	CMarketing * pDlg = new CMarketing();
	if( pDlg->DoModal() == IDOK )
		nNewStatus = IDC_STATUS_3;
	else
		nNewStatus = IDC_STATUS_1;
	if( m_dwNameStatus != 0 ) PermitUpdate();
	m_dwNameStatus = nNewStatus;
	ResetButtons();
}

void CReg_OpsDlg::OnStatus4() 
{
	if( m_dwNameStatus == IDC_STATUS_4 ) return;
	int nNewStatus;

	CEngineering * pDlg = new CEngineering();
	if( pDlg->DoModal() == IDOK )
		nNewStatus = IDC_STATUS_4;
	else
		nNewStatus = IDC_STATUS_1;
	if( m_dwNameStatus != 0 ) PermitUpdate();
	m_dwNameStatus = nNewStatus;
	ResetButtons();
}

void CReg_OpsDlg::OnStatus5() 
{
	if( m_dwNameStatus == IDC_STATUS_5 ) return;
	int nNewStatus;

	CGuru * pDlg = new CGuru();
	if( pDlg->DoModal() == IDOK )
		nNewStatus = IDC_STATUS_5;
	else
		nNewStatus = IDC_STATUS_1;
	if( m_dwNameStatus != 0 ) PermitUpdate();
	m_dwNameStatus = nNewStatus;
	ResetButtons();
}

void CReg_OpsDlg::PermitUpdate()
{
	HKEY	hKeyItem;
	ULONG	ulSize, ulType;
	TCHAR	szBuff[MAX_PATH+1];

	RegCreateKey( m_hRegKey, m_csNameEntry, &hKeyItem );
	ulSize = sizeof( szBuff );
	if( RegQueryValueEx( hKeyItem, "Password", NULL, &ulType, 
						 (LPBYTE) szBuff, &ulSize ) != ERROR_SUCCESS )
		return;
	m_csPassword = szBuff;		// keep the same password
	m_bUpdate = TRUE;
	GetDlgItem( IDD_ADD_ENTRY )->SetWindowText( "Update" );
	GetDlgItem( IDD_ADD_ENTRY )->EnableWindow( TRUE );
}

void CReg_OpsDlg::ReportError( long lError )
{
	LPVOID lpMsgBuf;

	FormatMessage( FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
				   NULL, lError,
				   MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
				   (LPTSTR) &lpMsgBuf, 0, NULL );
	MessageBox( (char *)lpMsgBuf );
	LocalFree( lpMsgBuf );
}

void CReg_OpsDlg::OnExit() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}
