// NEST_C
// shows how *not* to combine an exception and a termination handler

#include <windows.h>
#include <stdio.h>
#include <conio.h>

int main ( )
{
    char *szText = NULL;

    __try
    {
        puts("About to cause an exception." );
        lstrcpy( szText, "Error" );         // writes to NULL string

        __try
        {
            puts( "Entered try block." );
        }
        __finally
        {
            puts( "Termination handler ran." );
        }
    }
    __except (EXCEPTION_EXECUTE_HANDLER)
    {
        puts( "Handling exception." );   // this instruction does not execute
    }

    puts( "Program ending normally." );
	getch();
    return( 0 );
}
