// ParryView.h : interface of the CParryView class
//
/////////////////////////////////////////////////////////////////////////////

class CParryView : public CView
{
protected: // create from serialization only
	CParryView();
	DECLARE_DYNCREATE(CParryView)

// Attributes
public:
	CParryDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CParryView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CParryView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CParryView)
	afx_msg void OnCancelEditSrvr();
	afx_msg void OnScan();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ParryView.cpp
inline CParryDoc* CParryView::GetDocument()
   { return (CParryDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
